Package org.apache.storm.starter

## Class BlobStoreAPIWordCountTopology

- java.lang.Object
- - org.apache.storm.starter.BlobStoreAPIWordCountTopology

-     public class BlobStoreAPIWordCountTopology
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BlobStoreAPIWordCountTopology.FilterWords` |
    `static class` | `BlobStoreAPIWordCountTopology.RandomSentenceSpout` |
    `static class` | `BlobStoreAPIWordCountTopology.SplitSentence` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlobStoreAPIWordCountTopology()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `buildAndLaunchWordCountTopology​(String[] args)` |
    `static File` | `createFile​(String fileName)` |
    `static void` | `main​(String[] args)` |
    `static void` | `prepare()` |
    `static File` | `updateFile​(File file)` |
    `static void` | `writeToFile​(File file, Set<String> content)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobStoreAPIWordCountTopology

          public BlobStoreAPIWordCountTopology()

  - ### Method Detail

    - #### prepare

          public static void prepare()

    - #### createFile

          public static File createFile​(String fileName)
                                 throws IOException

      Throws:
        `IOException`

    - #### updateFile

          public static File updateFile​(File file)
                                 throws IOException

      Throws:
        `IOException`

    - #### writeToFile

          public static void writeToFile​(File file,
                                         Set<String> content)
                                  throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main​(String[] args)

    - #### buildAndLaunchWordCountTopology

          public void buildAndLaunchWordCountTopology​(String[] args)